package com.base.appzxhy.business.push.fcm

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.base.appzxhy.bean.push.NotificationSendBean
import com.base.appzxhy.bean.push.NotificationSendBean.Companion.POPUP_WHERE_FCM
import com.base.appzxhy.push.notification.MyNotificationManager
import com.base.appzxhy.business.helper.EventUtils.event

class FcmReceiver : BroadcastReceiver() {

    private val TAG = "FcmReceiver"

    override fun onReceive(context: Context, intent: Intent) {
        event("FCM_Received", "FcmReceiver", null)
        MyNotificationManager.submitSendBean(NotificationSendBean(context, POPUP_WHERE_FCM))
    }
}
